<?php
/*
	  Plugin Name: persian date shortcode 
	  Plugin URI: http://wikiwordpress.ir
	  Version: 1.0
	  Author: esmail ebrahimi
	  Author URI: http://wikiwordpress.ir
	  Description:  Display persian date in several format in wordpress site
	  License: GPL2
	 */

include_once('inc/jdf.php');

add_shortcode( 'wikiwordpress', 'wikiwordpress_shortcode' );


function is_color_correct($hex_color)
{
	if(preg_match('/^#[a-f0-9]{6}$/i', $hex_color)){
		return true;
	}else{
		return false;
	}
}

function wikiwordpress_shortcode($att)
{
	$today=" امروز ";
	$day="";
	$month="";
	$year="";
	$persiandate="";
	$direction="ltr";
	
	if(isset($att['seperator']))
	{
		$seperator=$att['seperator'];
	}
	else
	{
		$seperator=" ";
		
	}
	
	
	//set day format
	if (isset($att[day]) && $att[day]='string')
	{
		$day="J";
	}
	else
	{
		$day="d";
		$direction="rtl";
	}
	
	//set month format
	if (isset($att[month]) && $att[month]='string')
	{
		$month="F";
	}
	else
	{
		$month="m";
		$direction="rtl";
	}
	
	//set year format
	if (isset($att[year]) && $att[year]='string')
	{
		$year="V";
	}
	else
	{
		$year="Y";
		$direction="rtl";
	}
	
	$persiandate="<span dir={$direction} >";
	$persiandate .= jdate("{$day}{$seperator}{$month}{$seperator}{$year}");
	$persiandate .="</span>";
	
	if($att['bold'])
	{
		$persiandate = '<strong>'.$persiandate.'</strong>';
		$today = '<strong>'. $today .'</strong>';
	}

	if(is_color_correct($att['color']))
	{
		$color=$att['color'];
		$persiandate ="<font color=\"{$color}\">".$persiandate.'</font>';
		$today ="<font color=\"{$color}\">".$today.'</font>';
	}
	
	if ($att['today']=='true')
	{
		$persiandate= $today  . $persiandate;
	}
	
	
	
	
	return $persiandate;

}

?>